### Hierarchy

- IPageRangeItem
  - IPagePermissionRange

### Implemented by

- PermissionRange

## Index

### Properties

- colEnd
- colStart
- getPermission
- name
- rowEnd
- rowStart
- setPermission
- toObject

## Properties

### colEnd

colEnd: number

- Defined in Page/Range.ts:42

### colStart

colStart: number

- Defined in Page/Range.ts:41

### getPermission

getPermission: function

- Defined in Page/Range.ts:45

#### Type declaration

- - (userId: number): string

  - #### Parameters

    - ##### userId: number

    #### Returns string

### name

name: string

Inherited from IPageRangeItem.name

- Defined in Page/Range.ts:34

### rowEnd

rowEnd: number

- Defined in Page/Range.ts:40

### rowStart

rowStart: number

- Defined in Page/Range.ts:39

### setPermission

setPermission: function

- Defined in Page/Range.ts:44

#### Type declaration

- - (userId: number, permission?: undefined | string): void

  - #### Parameters

    - ##### userId: number

    - ##### Optional permission: undefined | string

    #### Returns void

### toObject

toObject: function

Inherited from IPageRangeItem.toObject

- Defined in Page/Range.ts:35

#### Type declaration

- - (): IPageRange

  - #### Returns IPageRange

Generated using TypeDoc